using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            
            
            string linija = Console.ReadLine();
            int N = int.Parse(linija.Split(' ')[0]);
            int Q = int.Parse(linija.Split(' ')[1]);
            int[] A = new int[N];
            int[] B = new int[Q];
            linija = Console.ReadLine();
            for (int i = 0; i < N; i++)
            {
                A[i] = int.Parse(linija.Split(' ')[i]);
            }
            Array.Sort(A);
            linija = Console.ReadLine();
            for (int i = 0; i < Q; i++)
            {
                B[i] = int.Parse(linija.Split(' ')[i]);
            }
            int Medijana = A[N / 2];
            for (int i = 0; i < Q; i++)
            {
                int pozicija = 0;
                if (B[i] == Medijana) Console.WriteLine("0");
                else
                {
                    if (B[i] <= A[N - 1])
                    {
                        for (int j = 0; j < N - 1; j++)
                        {

                            if (B[i] == A[j]) { pozicija = j; break; }
                            else if (B[i] > A[i] && B[i] < A[j + 1]) { pozicija = j + 1; break; }
                        }
                    }
                    else
                    {
                        pozicija = N;
                    }
                    Console.WriteLine(Math.Abs(((pozicija) * 2) - N));
                }
                
            }
        }
    }
}